package so.winwebdocentes.services;

import java.util.ArrayList;
import so.winwebdocentes.beans.ReporteAsistProfesoresPorAnio;
import so.winwebdocentes.DAO.DAOFactory;
import so.winwebdocentes.DAO.ReporteAsistProfesoresPorAnioDAO;

public class ReporteAsistProfesoresPorAnioServices {

	DAOFactory factory = DAOFactory.getDAOFactory(DAOFactory.SQLSERVER);
	ReporteAsistProfesoresPorAnioDAO obj = factory.getReporteAsistProfesoresPorAnioDAO();

	public ArrayList<ReporteAsistProfesoresPorAnio> listrarReporteAsistProfesoresPorAnio(String dbanio) {
		ArrayList<ReporteAsistProfesoresPorAnio> listrarReporteAsistProfesoresPorAnio = null;
		try {
			listrarReporteAsistProfesoresPorAnio = obj.listrarReporteAsistProfesoresPorAnio(dbanio);
		} catch (Exception e) {
			e.getMessage();
		}
		return listrarReporteAsistProfesoresPorAnio;
	}

	public ArrayList<ReporteAsistProfesoresPorAnio> listrar_netosReporteAsistProfesoresPorAnio(String dbanio) {
		ArrayList<ReporteAsistProfesoresPorAnio> listrarReporteAsistProfesoresPorAnio = null;
		try {
			listrarReporteAsistProfesoresPorAnio = obj.listrar_netosReporteAsistProfesoresPorAnio(dbanio);
		} catch (Exception e) {
			e.getMessage();
		}
		return listrarReporteAsistProfesoresPorAnio;
	}
}
