package so.winwebdocentes.services;

import java.util.ArrayList;
import org.json.JSONObject;
import so.winwebdocentes.beans.ReporteAsistProfesoresPorMes;
import so.winwebdocentes.DAO.DAOFactory;
import so.winwebdocentes.DAO.ReporteAsistProfesoresPorMesDAO;

public class ReporteAsistProfesoresPorMesServices {

	DAOFactory factory = DAOFactory.getDAOFactory(DAOFactory.SQLSERVER);
	ReporteAsistProfesoresPorMesDAO obj = factory.getReporteAsistProfesoresPorMesDAO();

	public ArrayList<ReporteAsistProfesoresPorMes> Listar_ReporteAsistProfesoresPorMes(String dbanio, String mes) {
		ArrayList<ReporteAsistProfesoresPorMes> Listar_ReporteAsistProfesoresPorMes = new ArrayList<>();
		try {
			Listar_ReporteAsistProfesoresPorMes = obj.Listar_ReporteAsistProfesoresPorMes(dbanio, mes);
		} catch (Exception e) {
			e.getMessage();
		}
		return Listar_ReporteAsistProfesoresPorMes;
	}

	public ArrayList<ReporteAsistProfesoresPorMes> Listar_NetosReporteAsistProfesoresPorMes(String dbanio, String mes) {
		ArrayList<ReporteAsistProfesoresPorMes> Listar_NetosReporteAsistProfesoresPorMes = new ArrayList<>();
		try {
			Listar_NetosReporteAsistProfesoresPorMes = obj.Listar_NetosReporteAsistProfesoresPorMes(dbanio, mes);
		} catch (Exception e) {
			e.getMessage();
		}
		return Listar_NetosReporteAsistProfesoresPorMes;
	}

	public JSONObject listarDescuentosMensual(JSONObject datos) {
		JSONObject json = null;
		try {
			json = obj.listarDescuentosMensual(datos);
		} catch (Exception e) {
			e.getMessage();
		}
		return json;
	}
}
