<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>ASISTENCIA DOCENTES</title>
    <link href="../css/pages/index.css" rel="stylesheet" type="text/css"/>
  </head>
  <body>
    <div class="panel">
      <form id="formLogin" class="form">
        <div class="text-center">
          <div class="icon-object border-white text-white">
            <img src="../img/securityIconWhite.png" alt="" style="width: 85px; height: 85px;">
          </div>
          <div class="text-white text-large">
            <label>
              WIN WEB
            </label>
          </div>
          <div class="text-small text-white">
            <label>
              INICIO DE SESIÓN
            </label>
          </div>
        </div>
        <div class="form__row">
          <input placeholder='Usuario' type="text" id="user" name="user">
        </div>
        <div class="form__row">
          <input placeholder='Contraseña' type="password" id="password" name="password">
        </div>
        <div class="form__row last">
          <div class="spinner"></div>
          <button type="button" class="btn btn--primary d--block" id="logIn">Login</button>
        </div>
        <div class="text-center last">
          <a href="http://app1.sacooliveros.edu.pe/aplicaciones/SistemasFull/directorio/vista/directorio.php" target="_blank"  id="forgotPassword" >¿Olvido su contraseña?</a>
        </div>
      </form>
    </div>

    <div class="panels" style="margin-top: 0px">
      <div id="msnErrorLogin"  style="display: none; padding: 8px;" class="login-form containerMe panel-zoom">
        <div class="msgTranslucent card-3" style="background-color: #821C25"></div>
        <div class="contentMe text-centers">
          <label class="text-white" style="margin-bottom: 0px; font-size: smaller; text-align: center"><b>&times;</b> USUARIO O CONTRASEÑA INVÁLIDOS</label>  
        </div>
      </div>
    </div>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.3.1/jquery.min.js" type="text/javascript"></script>
    <script src="../plantilla/assets/js/plugins/forms/validation/validate.min.js" type="text/javascript"></script>
    <script src="../js/general.js" type="text/javascript"></script>
    <script type="text/javascript" src="../js/pages/index.js"></script>
  </body>
</html>
