<%@page import="so.winwebdocentes.beans.ReporteAsistProfesoresPorAnio"%>
<%@page import="java.util.ArrayList"%>
<%@page import="so.winwebdocentes.services.ReporteAsistProfesoresPorAnioServices"%>
<%@page import="java.util.Date"%>
<%@page import="java.text.SimpleDateFormat"%>
<%@page import="java.text.DateFormat"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <title>EXPORTAR PROFESORES</title>        
  </head>
  <body>
    <%
      String dbanio = request.getParameter("dbanio");

      ReporteAsistProfesoresPorAnioServices services = new ReporteAsistProfesoresPorAnioServices();
      ArrayList<ReporteAsistProfesoresPorAnio> rp = services.listrarReporteAsistProfesoresPorAnio(dbanio);

      ArrayList<ReporteAsistProfesoresPorAnio> rp_netos = services.listrar_netosReporteAsistProfesoresPorAnio(dbanio);

      // dar nombre al archivo excel con la fecha del sistema
      Date date = new Date();
      DateFormat hourdateFormat = new SimpleDateFormat("dd/MM/yyyy HH:mm:ss");
      response.setContentType("application/vnd.ms-excel");
      response.setHeader("Content-Disposition", "inline; filename="
        + "REPORTE_ASIST_PROF_ANUAL_" + hourdateFormat.format(date) + ".xls");
    %>

    <!--titulo del documento-->
    <table>
      <thead>
        <tr>
          <th colspan="12" style="font-size: 18px; background-color: #002060; color: #FFF; font-weight: bold;">
            ASISTENCIA DE TODOS LOS PROFESORES DEL AÑO <%= dbanio%>
          </th>
        </tr>
      </thead>
    </table>
    <!--titulo del documento-->

    <br/><br/>

    <table border="1">
      <thead>
        <tr style="background-color: #002060; color: #FFF; font-weight: bold;">
          <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
          <th>APELLIDOS</th>
          <th>NOMBRES</th>
          <th>DNI</th>
          <th>ASOCIACION</th>
          <th>LOCAL</th>
          <th>CANT MINUTOS</th>
          <th>HORAS</th>
          <th>MINUTOS</th>
          <th>MONTO ASIST</th>
          <th>FECHA ASIST</th>
          <th>MES</th>
        </tr>
      </thead>
      <tbody>
        <%
          for (int i = 0; i < rp.size(); i++) {
        %>
        <tr>
          <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
          <td style="text-align: center; font-size: 15px;"><%=rp.get(i).getApellidos()%></td>
          <td style="text-align: center; font-size: 15px;"><%=rp.get(i).getNombres()%></td>
          <td style="text-align: center; font-size: 15px;"><%=rp.get(i).getDni()%></td>
          <td style="text-align: center; font-size: 15px;"><%=rp.get(i).getAbreviatura_asociacion()%></td>
          <td style="text-align: center; font-size: 15px;"><%=rp.get(i).getNombre_local()%></td>
          <td style="text-align: center; font-size: 15px;"><%=rp.get(i).getAcumulado_cantidad_minutos()%></td>
          <td style="text-align: center; font-size: 15px;"><%=rp.get(i).getAcumulado_horas()%></td>
          <td style="text-align: center; font-size: 15px;"><%=rp.get(i).getAcumulado_minutos()%></td>
          <td style="text-align: center; font-size: 15px;"><%=rp.get(i).getMonto_asistencia()%></td>
          <td style="text-align: center; font-size: 15px;"><%=rp.get(i).getFecha_asistencia()%></td>
          <td style="text-align: center; font-size: 15px;"><%=rp.get(i).getNombre_mes()%></td>
        </tr>
        <%
          }
        %>
        <%
          for (int x = 0; x < rp_netos.size(); x++) {
        %>
        <tr>
          <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
          <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
          <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
          <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
          <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
          <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
          <td style="text-align: center; font-size: 15px; background-color: #002060; color: #FFF; font-weight: bold;"><%= rp_netos.get(x).getNeto_acumulado_cantidad_minutos() + "."%></td>
          <td style="text-align: center; font-size: 15px; background-color: #002060; color: #FFF; font-weight: bold;"><%=rp_netos.get(x).getNeto_acumulado_horas()%></td>
          <td style="text-align: center; font-size: 15px; background-color: #002060; color: #FFF; font-weight: bold;"><%=rp_netos.get(x).getNeto_acumulado_minutos()%></td>
          <td style="text-align: center; font-size: 15px; background-color: #002060; color: #FFF; font-weight: bold;"><%=rp_netos.get(x).getNeto_monto_asistencia()%></td>
        </tr>
        <%
          }
        %>
      </tbody>
    </table>
  </body>
</html>
