<%@page import="so.winwebdocentes.beans.ReporteAsistProfesoresPorMes"%>
<%@page import="java.util.ArrayList"%>
<%@page import="so.winwebdocentes.services.ReporteAsistProfesoresPorMesServices"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@page import="java.util.Date"%>
<%@page import="java.text.SimpleDateFormat"%>
<%@page import="java.text.DateFormat"%>
<!DOCTYPE html>
<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <title>EXPORTAR PROFESORES</title>  
  </head>
  <body>
    <%
      String dbanio = request.getParameter("dbanio");
      String mes = request.getParameter("mes");

      String condicion_asociacion = "";

      String nombre_mes = "";
      if (mes.equals("1")) {
        nombre_mes = "ENERO";
      } else if (mes.equals("2")) {
        nombre_mes = "FEBRERO";
      } else if (mes.equals("3")) {
        nombre_mes = "MARZO";
      } else if (mes.equals("4")) {
        nombre_mes = "ABRIL";
      } else if (mes.equals("5")) {
        nombre_mes = "MAYO";
      } else if (mes.equals("6")) {
        nombre_mes = "JUNIO";
      } else if (mes.equals("7")) {
        nombre_mes = "JULIO";
      } else if (mes.equals("8")) {
        nombre_mes = "AGOSTO";
      } else if (mes.equals("9")) {
        nombre_mes = "SEPTIEMBRE";
      } else if (mes.equals("10")) {
        nombre_mes = "OCTUBRE";
      } else if (mes.equals("11")) {
        nombre_mes = "NOVIEMBRE";
      } else if (mes.equals("12")) {
        nombre_mes = "DICIEMBRE";
      }

      ReporteAsistProfesoresPorMesServices services = new ReporteAsistProfesoresPorMesServices();
      ArrayList<ReporteAsistProfesoresPorMes> rp = services.Listar_ReporteAsistProfesoresPorMes(dbanio, mes);
      ArrayList<ReporteAsistProfesoresPorMes> rp_netos = services.Listar_NetosReporteAsistProfesoresPorMes(dbanio, mes);

      // dar nombre al archivo excel con la fecha del sistema
      Date date = new Date();
      DateFormat hourdateFormat = new SimpleDateFormat("dd/MM/yyyy HH:mm:ss");
      response.setContentType("application/vnd.ms-excel");
      response.setHeader("Content-Disposition", "inline; filename="
        + "REPORTE_ASIST_PROF_MENSUAL_" + nombre_mes + "_" + hourdateFormat.format(date) + ".xls"
      );


    %>

    <!--titulo del documento-->
    <table>
      <thead>
        <tr>
          <th colspan="12" style="font-size: 18px; background-color: #002060; color: #FFF; font-weight: bold;">
            ASISTENCIA DE TODOS LOS PROFESORES DEL MES <%= nombre_mes%>
          </th>
        </tr>
      </thead>
    </table>
    <!--titulo del documento-->

    <br/><br/>

    <table border="1">
      <thead>
        <tr style="background-color: #002060; color: #FFF; font-weight: bold;">
          <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
          <th>APELLIDOS</th>
          <th>NOMBRES</th>
          <th>DNI</th>
          <th>ASOCIACION</th>
          <th>LOCAL</th>
          <th>CANT MINUTOS</th>
          <th>HORAS</th>
          <th>MINUTOS</th>
          <th>MONTO ASIST</th>
          <th>FECHA ASIST</th>
        </tr>
      </thead>
      <tbody>
        <%
          for (int i = 0; i < rp.size(); i++) {

            if (rp.get(i).getAbreviatura_asociacion().equals("ACESO")) {
              condicion_asociacion = "background-color: '#ffc560';";
            } else if (rp.get(i).getAbreviatura_asociacion().equals("APEIRON")) {
              condicion_asociacion = "background-color: '#60d7ff';";
            } else if (rp.get(i).getAbreviatura_asociacion().equals("ACESH")) {
              condicion_asociacion = "background-color: '#a7b5ce';";
            }
        %>
        <tr>
          <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
          <td style="text-align: center; font-size: 15px; <%= condicion_asociacion%>"><%=rp.get(i).getApellidos()%></td>
          <td style="text-align: center; font-size: 15px; <%= condicion_asociacion%>"><%=rp.get(i).getNombres()%></td>
          <td style="text-align: center; font-size: 15px; <%= condicion_asociacion%>"><%=rp.get(i).getDni()%></td>
          <td style="text-align: center; font-size: 15px; <%= condicion_asociacion%>"><%=rp.get(i).getAbreviatura_asociacion()%></td>
          <td style="text-align: center; font-size: 15px; <%= condicion_asociacion%>"><%=rp.get(i).getNombre_local()%></td>
          <td style="text-align: center; font-size: 15px; <%= condicion_asociacion%>"><%=rp.get(i).getAcumulado_cantidad_minutos()%></td>
          <td style="text-align: center; font-size: 15px; <%= condicion_asociacion%>"><%=rp.get(i).getAcumulado_horas()%></td>
          <td style="text-align: center; font-size: 15px; <%= condicion_asociacion%>"><%=rp.get(i).getAcumulado_minutos()%></td>
          <td style="text-align: center; font-size: 15px; <%= condicion_asociacion%>"><%=rp.get(i).getMonto_asistencia()%></td>
          <td style="text-align: center; font-size: 15px; <%= condicion_asociacion%>"><%=rp.get(i).getFecha_asistencia()%></td>
        </tr>
        <%
          }
        %>
        <%
          for (int x = 0; x < rp_netos.size(); x++) {
        %>
        <tr>
          <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
          <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
          <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
          <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
          <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
          <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
          <td style="text-align: center; font-size: 15px; background-color: #002060; color: #FFF; font-weight: bold;"><%= rp_netos.get(x).getNeto_acumulado_cantidad_minutos() + "."%></td>
          <td style="text-align: center; font-size: 15px; background-color: #002060; color: #FFF; font-weight: bold;"><%=rp_netos.get(x).getNeto_acumulado_horas()%></td>
          <td style="text-align: center; font-size: 15px; background-color: #002060; color: #FFF; font-weight: bold;"><%=rp_netos.get(x).getNeto_acumulado_minutos()%></td>
          <td style="text-align: center; font-size: 15px; background-color: #002060; color: #FFF; font-weight: bold;"><%=rp_netos.get(x).getNeto_monto_asistencia()%></td>
        </tr>
        <%
          }
        %>
      </tbody>
    </table>
  </body>
</html>
