<%-- 
    Document   : listarDescuentosMensual
    Created on : 14-dic-2018, 14:28:00
    Author     : Felipe Escala
--%>

<%@page import="org.json.JSONArray"%>
<%@page import="java.util.Date"%>
<%@page import="java.text.SimpleDateFormat"%>
<%@page import="java.text.DateFormat"%>
<%@page import="org.json.JSONObject"%>
<%@page import="so.winwebdocentes.services.ReporteAsistProfesoresPorMesServices"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <title>EXPORTAR PROFESORES</title>        
  </head>
  <body>
    <%
      String filters = (String) request.getParameter("filters");
      JSONObject filtros = new JSONObject(filters);

      String dbanio = filtros.getString("dbanio");
      String mes = filtros.getString("mesReporte");

//      String condicion_asociacion = "";
      String nombre_mes = "";
      if (mes.equals("1")) {
        nombre_mes = "ENERO";
      } else if (mes.equals("2")) {
        nombre_mes = "FEBRERO";
      } else if (mes.equals("3")) {
        nombre_mes = "MARZO";
      } else if (mes.equals("4")) {
        nombre_mes = "ABRIL";
      } else if (mes.equals("5")) {
        nombre_mes = "MAYO";
      } else if (mes.equals("6")) {
        nombre_mes = "JUNIO";
      } else if (mes.equals("7")) {
        nombre_mes = "JULIO";
      } else if (mes.equals("8")) {
        nombre_mes = "AGOSTO";
      } else if (mes.equals("9")) {
        nombre_mes = "SEPTIEMBRE";
      } else if (mes.equals("10")) {
        nombre_mes = "OCTUBRE";
      } else if (mes.equals("11")) {
        nombre_mes = "NOVIEMBRE";
      } else if (mes.equals("12")) {
        nombre_mes = "DICIEMBRE";
      }

      ReporteAsistProfesoresPorMesServices services = new ReporteAsistProfesoresPorMesServices();
      JSONObject rp = services.listarDescuentosMensual(filtros);
      JSONArray lista = rp.getJSONArray("results");
      // dar nombre al archivo excel con la fecha del sistema
      Date timestack = new Date();
      DateFormat hourdateFormat = new SimpleDateFormat("dd/MM/yyyy HH:mm:ss");
      response.setContentType("application/vnd.ms-excel");
      response.setHeader("Content-Disposition", "inline; filename="
        + "REPORTE_DESC_PROF_MENSUAL_" + hourdateFormat.format(timestack) + ".xls");
    %>

    <!--titulo del documento-->
    <table>
      <thead>
        <tr>
          <th colspan="12" style="font-size: 18px; background-color: #002060; color: #FFF; font-weight: bold;">
            DESCUENTO DE TODOS LOS PROFESORES MENSUAL<%=nombre_mes%>
          </th>
        </tr>
      </thead>
    </table>
    <!--titulo del documento-->


    <br/><br/>

    <table border="1">
      <thead>
        <tr style="background-color: #002060; color: #FFF; font-weight: bold;">
          <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
          <th>CODIGO</th>
          <th>DOCENTE</th>
          <th>TOTAL MENSUAL</th>
        </tr>
      </thead>
      <tbody>
        <%
          for (int i = 0; i < lista.length(); i++) {
            JSONObject _this = lista.getJSONObject(i);
        %>
        <tr>
          <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
          <td style="text-align: center; font-size: 15px;"><%=_this.getString("codigoDocente")%></td>
          <td style="font-size: 15px;"><%=_this.getString("nombreDocente")%></td>
          <td style="text-align: center; font-size: 15px;"><%=_this.getString("cantidadHoras")%></td>
        </tr>
        <%
          }
        %>
      </tbody>
    </table>
  </body>
</html>
