<%-- 
    Document   : reporteAsistenciaDescuento
    Created on : 10-oct-2018, 14:23:07
    Author     : Felipe Escala
--%>

<%@page import="java.util.Date"%>
<%@page import="java.text.SimpleDateFormat"%>
<%@page import="java.text.DateFormat"%>
<%@page import="org.json.JSONArray"%>
<%@page import="java.sql.Timestamp"%>
<%@page import="so.winwebdocentes.services.AsistenciaService"%>
<%@page import="org.json.JSONObject"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  </head>
  <body>
    <%
      String json = request.getParameter("filters");
      String datos = request.getParameter("docente");
      String estilo = "";
      JSONObject param = new JSONObject(json);
      JSONObject docente = new JSONObject(datos);
      JSONObject jReturn = new JSONObject();
      JSONArray listaAsistencias = new JSONArray();
      JSONArray listaDescuentos = new JSONArray();
      String[] monthName = {"ENERO", "FEBRERO", "MARZO", "ABRIL", "MAYO", "JUNIO", "JULIO", "AGOSTO", "SEPTIEMBRE", "OCTUBRE", "NOVIEMBRE", "DICIEMBRE"};
      Timestamp timestamp = new Timestamp(System.currentTimeMillis());
      Date date = new Date();
      DateFormat hourdateFormat = new SimpleDateFormat("dd/MM/yyyy HH:mm:ss");
      response.setContentType("application/vnd.ms-excel");
      response.setHeader("Content-Disposition", "inline; filename=ReporteAsistencias" + timestamp.getTime() + ".xls");
      AsistenciaService service = new AsistenciaService();
      jReturn = service.listarAsistencias(param);
      listaAsistencias = jReturn.getJSONArray("listaAsis");
      listaDescuentos = jReturn.getJSONArray("listaDesc");
    %>

    <table>
      <thead>
        <tr>
          <th colspan="16" style="font-size: 18px; background-color: #002060; color: #FFF; font-weight: bold;">
            REPORTE DE ASISTENCIAS Y DESCUENTOS (<%= param.getString("year") + " /" + monthName[param.getInt("mesAsistencia") - 1]%>)
          </th>
        </tr>
      </thead>
    </table>
          
    <table>
      <tr>
        <td style="text-align: left; font-size: 15px; font-weight: bold">APELLIDOS:</td>
        <td style="text-align: left; font-size: 15px;"><%= docente.getString("apellidoProfesor")%></td>
      </tr>
      <tr>
        <td style="text-align: left; font-size: 15px; font-weight: bold">NOMBRES:</td>
        <td style="text-align: left; font-size: 15px;"><%= docente.getString("nombreProfesor")%></td>
      </tr>
      <tr>
        <td style="text-align: left; font-size: 15px; font-weight: bold">DNI:</td>
        <td style="text-align: left; font-size: 15px; mso-number-format:'\@' "><%= docente.getString("dniProfesor") + ""%></td>
      </tr>
      <tr>
        <td style="text-align: left; font-size: 15px; font-weight: bold">FECHA DE REPORTE:</td>
        <td style="text-align: left; font-size: 15px;"><%= hourdateFormat.format(date)%></td>
      </tr>
    </table>

    <br>

    <table>
      <thead>
        <tr>
          <th colspan="16" style="font-size: 14px; background-color: #002060; color: #FFF; font-weight: bold;">
            Asistencias
          </th>
        </tr>
      </thead>
    </table>
    <table border="1" align="center">
      <thead>
        <tr style="text-align: center; font-size: 15px; background-color: #305496; color: #FFF; font-weight: bold;">
          <th class="text-center">Nº</th> 
          <th class="text-center">CODIGO</th> 
          <th class="text-center">INGRESO</th>
          <th class="text-center">SALIDA</th>
          <th class="text-center">INGRESO T</th>
          <th class="text-center">SALIDA T</th>
          <th class="text-center">FECHA</th>                                                       
          <th class="text-center">SECCIÓN</th>                                                       
          <th class="text-center">COSTO</th>    
          <th class="text-center">HORAS</th>    
          <th class="text-center">MONTO</th>    
          <th class="text-center">SEDE</th>    
          <th class="text-center">AULAS</th>    
          <th class="text-center">TIPO</th>    
          <th class="text-center">ESTADO</th>                       
          <th class="text-center">OBS.</th>   
        </tr>
      </thead>
      <tbody>
        <%
          for (int i = 0; i < listaAsistencias.length(); i++) {
            if (i % 2 == 0) {
              estilo = "background-color: #e5e2e2;";
            } else {
              estilo = "background-color: #fff";
            }
            JSONObject obj = listaAsistencias.getJSONObject(i);
        %>
        <tr>
          <td align="center" style="<%=estilo%>"><%=obj.getInt("numeral")%></td>
          <td align="center" style="<%=estilo%>"><%=obj.getString("codigoAsistencia")%></td>
          <td align="center" style="<%=estilo%>"><%=obj.getString("horaIngreso")%></td>
          <td align="center" style="<%=estilo%>"><%=obj.getString("horaSalida")%></td>
          <td align="center" style="<%=estilo%>"><%=obj.getString("horaIngresoT")%></td>
          <td align="center" style="<%=estilo%>"><%=obj.getString("horaSalidaT")%></td>
          <td align="center" style="<%=estilo%>"><%=obj.getString("diaAsistencias") + " - " + obj.getString("fechaAsistencias")%></td>
          <td align="center" style="<%=estilo%>"><%=obj.getString("seccion")%></td>
          <td align="center" style="<%=estilo%>"><%=obj.getString("costoSeccion")%></td>
          <td align="center" style="<%=estilo%>"><%=obj.getString("horasLaboro")%></td>
          <td align="center" style="<%=estilo%>"><%=obj.getString("montoLaboro")%></td>
          <td align="center" style="<%=estilo%>"><%=obj.getString("sede")%></td>
          <td align="center" style="<%=estilo%>"><%=obj.getString("aulas")%></td>
          <td align="center" style="<%=estilo%>"><%=obj.getString("tipo/dia")%></td>
          <td align="center" style="<%=estilo%>"><%=obj.getString("estadoAsistencia")%></td>
          <td align="center" style="<%=estilo%>"><%=obj.getString("observacion")%></td>
        </tr>
        <% }%>
      </tbody>
    </table>

    <br/>

    <table>
      <thead>
        <tr>
          <th colspan="12" style="font-size: 14px; background-color: #002060; color: #FFF; font-weight: bold;">
            Descuentos
          </th>
        </tr>
      </thead>
    </table>
    <table border="1" align="center">
      <thead>
        <tr style="text-align: center; font-size: 15px; background-color: #305496; color: #FFF; font-weight: bold;">
          <th class="text-center">Nº</th> 
          <th class="text-center">CODIGO DESCUENTO</th> 
          <th class="text-center">CODIGO ASISTENCIA</th>
          <th class="text-center">INGRESO</th>
          <th class="text-center">SALIDA</th>
          <th class="text-center">INGRESO T</th>
          <th class="text-center">FECHA</th>                                                                 
          <th class="text-center">MONTO</th>      
          <th class="text-center">SEDE</th>                                                               
          <th class="text-center">SECCIÓN</th>  
          <th class="text-center">MOTIVO</th>                        
          <th class="text-center">OBS.</th>    
        </tr>
      </thead>
      <tbody>
        <%
          if (listaDescuentos.length() == 0) {
            estilo = "color: red;";
        %>
        <tr>
          <td style="text-align: center; font-size: 15px; <%=estilo%>" colspan="12">SIN DESCUENTOS</td>
        </tr>
        <%
        } else {
          for (int i = 0; i < listaDescuentos.length(); i++) {
            if (i % 2 == 0) {
              estilo = "background-color: #e5e2e2;";
            } else {
              estilo = "background-color: #fff";
            }
            JSONObject obj = listaDescuentos.getJSONObject(i);
        %>
        <tr>
          <td align="center" style="<%=estilo%>"><%=obj.getInt("numeral")%></td>
          <td align="center" style="<%=estilo%>"><%=obj.getString("codigoDescuento")%></td>
          <td align="center" style="<%=estilo%>"><%=obj.getString("codigoAsistencia")%></td>
          <td align="center" style="<%=estilo%>"><%=obj.getString("horaIngreso")%></td>
          <td align="center" style="<%=estilo%>"><%=obj.getString("horaSalida")%></td>
          <td align="center" style="<%=estilo%>"><%=obj.getString("horaIngresoT")%></td>
          <td align="center" style="<%=estilo%>"><%=obj.getString("fechaAsistencias")%></td>
          <td align="center" style="<%=estilo%>"><%=obj.getString("montoDescuento")%></td>
          <td align="center" style="<%=estilo%>"><%=obj.getString("sede")%></td>
          <td align="center" style="<%=estilo%>"><%=obj.getString("seccion")%></td>
          <td align="center" style="<%=estilo%>"><%=obj.getString("motivo")%></td>
          <td align="center" style="<%=estilo%>"><%=obj.getString("observacion")%></td>
        </tr>
        <% }
					}%>
      </tbody>
    </table>

    <br/>

    <table>
      <thead>
        <tr>
          <td colspan="2" style="font-size: 14px; background-color: #DDEBF7; color: #000; font-weight: bold; text-align: center">Monto Total de Asistencias y Descuentos</td>
        </tr>
        <tr>
          <th style="text-align: center; font-size: 15px; background-color: #E2EFDA; color: #000; font-weight: bold;">MONTO TOTAL ASISTENCIA</th>
          <th style="text-align: center; font-size: 15px; background-color: #E2EFDA;"><%= jReturn.getString("contaAsis")%></th>
        </tr>
        <tr>
          <th style="text-align: center; font-size: 15px; background-color: #E2EFDA; color: #000; font-weight: bold;">MONTO TOTAL DESCUENTO</th>
          <th style="text-align: center; font-size: 15px; background-color: #E2EFDA;"><%=   jReturn.has("contaDesc") ? jReturn.getString("contaDesc") : "0.00"%></th>
        </tr>
        <tr>
          <th colspan="2" style="font-weight: bold">====================================================</th>
        </tr>
        <tr>
          <th style="text-align: center; font-size: 18px; background-color: #A9D08E; color: #000; font-weight: bold;">MONTO NETO</th>
          <th style="text-align: center; font-size: 18px; background-color: #A9D08E;"><%= Double.parseDouble(jReturn.getString("contaAsis")) - (jReturn.has("contaDesc") ? Double.parseDouble(jReturn.getString("contaDesc")) : 0.00) + "0"%></th>
        </tr>
      </thead>
    </table>

    <br><br><br><br><br><br><br><br><br><br><br><br><br><br><br> 
    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

  </body>
</html>
